> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/svn/api-dokumentacija/pregled-zahtevkov-api-ja-geopard/8.-mutacija-ustvari-rastermap.md).

# 8. Mutacija: Ustvari "RasterMap"

Ustvari "RasterMap" za "Polje".

{% hint style="info" %}
Čas izvajanja se razlikuje (od 4 s do 5 min), odvisno od števila slik in obdelane površine polja, in Obvestilo bo prejeto po uspešni generaciji "RasterMap".
{% endhint %}

{% hint style="danger" %}
Priporočamo uporabo **asinhronega** pristopa za generiranje RastetMap
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacija GenerateRasterMap {
  generateRasterAnalysisMap(vhod: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",  
      "<placeholder_of_satelliteimage_uuid_2>"
    ]
    indeks: NDVI
  }) {    
    uuid
    fieldUuid
    ime
    centroid {
      zgeografska širina
      zemljepisna dolžina
    }
    ograjujočiOkvir
    geoMaps {
      kratkoIme
      polnoIme
      url
      razredi
      hexBarvneKode
    }
    status
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/api-dokumentacija/pregled-zahtevkov-api-ja-geopard/8.-mutacija-ustvari-rastermap.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
